# MyoWare Arduino Library

This library provides a simple interface for interacting with the [MyoWare 2.0 Ecosystem](https://www.sparkfun.com/myoware) using Arduino.

### MyoWare Wireless Shield Examples
- [MyoWareBLEPeripheral](examples/MyoWareBLEPeripheral): An example of how to setup a MyoWare 2.0 Wireless Shield as a BLE peripheral device using the ArduinoBLE and MyoWare Arduino libraries.
- [MyoWareBLECentral](examples/MyoWareBLECentral): An example of how to setup a MyoWare 2.0 Wireless Shield as a BLE central device using the ArduinoBLE and MyoWare Arduino libraries.
- [MyoWareBLEUART](examples/MyoWareBLEUART): An example of how to setup a MyoWare 2.0 Wireless Shield to send data to mobile apps such as [Adafruit Blufruit app](https://play.google.com/store/apps/details?id=com.adafruit.bluefruit.le.connect&hl=en_US&gl=US&pli=1) as a BLEUART device using the ESP32 BLE Arduino and MyoWare Arduino libraries.

### Other Examples
- [ReadMyoWareVoltage](examples//ReadMyoWareVoltage): An example of how to read and convert data from a MyoWare 2.0 Muscle Sensor using the MyoWare Arduino Library.
- [TestMyoWareSamplingRate](examples/TestMyoWareSamplingRate): An example of how a simple way to calculate your Arduino device's sampling rate. Note: The MyoWare 2.0 Muscle Sensor is an analog device so your sampling rate wholly depends on your Arduino device and code, not the sensor itself.


## MyoWare 2.0 Ecosystem

The MyoWare 2.0 ecosystem consists of shields that easily interface with the [MyoWare 2.0 Muscle Sensor](https://www.sparkfun.com/products/21265), which is a low-cost, Arduino-compatible, all-in-one electromyography (EMG) sensor from [Advancer Technologies](https://myoware.com). The innovative connector system allows users to easily snap shields together with a compact low profile and connect to a microcontroller's analog input to measure raw, filtered, and rectified electrical activity of a target muscle. This eliminates the need to solder connections between boards.

### Documentation

- [Getting Started with the MyoWare 2.0 Muscle Sensor Ecosystem](https://learn.sparkfun.com/tutorials/getting-started-with-the-myoware-20-muscle-sensor-ecosystem/all)
- [MyoWare 2.0 Quick Start Guide](https://myoware.com/wp-content/uploads/2022/03/MyoWare_v2_QuickStartGuide.pdf)
- [MyoWare 2.0 Advanced Guide](https://myoware.com/wp-content/uploads/2022/03/MyoWare_v2_AdvancedGuide-Updated.pdf)

## Support

[MyoWare 2.0 Ecosystem](https://www.sparkfun.com/myoware) technical support is now handled via [r/MyoWare on Reddit](https://www.reddit.com/r/MyoWare/)! Technical Support moderators will be monitoring the Subreddit during weekdays. Additionally, you can get help through [SparkFun Electronics support and forums](https://forum.sparkfun.com/viewforum.php?f=143).

## License

This open source code is licensed under the MIT license (see [LICENSE](LICENSE.md)
for details).

The MyoWare 2.0 Ecosystem is a collaboration between [Advancer Technologies](https://myoware.com) and [Sparkfun Electronics](https://www.sparkfun.com), please support future MyoWare development by purchasing products from
[Sparkfun Electronics](https://www.sparkfun.com/myoware)!
